<?php
//sāk sesiju un iekļauj datubāzes savienojuma failu
session_start();
include 'database.php';

//pārbauda, vai pieprasījuma metode ir POST
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    exit('Invalid request');
}

//Formā ievadītie dati tiek piešķirti mainīgajiem
$email = $_POST['email'] ?? '';
$password = $_POST['password'] ?? '';

//ja kāds no laukiem ir tukšs, tiek atgriezta kļūda 'fields missing'
if (!$email || !$password) {
    echo 'fields_missing';
    exit();
}

//tiek atlasīti dati no datubāzes, kas atbilst formā ievadītajam epastam
$stmt = $conn->prepare("SELECT id, pass FROM users WHERE email = ?");
$stmt->bind_param("s", $email);
$stmt->execute();
$stmt->bind_result($user_id, $hashed_pass);

//ja lietotājs ir atrasts, pārbauda paroli
if (!$stmt->fetch()) {
    echo 'no_user';
} else {
    //ja parole ir pareiza, tiek izveidota sesija un atgriezts 'success', ja parole ir nepareiza, tiek atgriezts 'wrong_password'
    if (password_verify($password, $hashed_pass)) {
        $_SESSION['user_id'] = $user_id;
        $_SESSION['last_activity'] = time();
        echo 'success';
    } else {
        echo 'wrong_password';
    }
}

//statement un savienojums tiek aizvērti
$stmt->close();
$conn->close();
?>